Subject: bug#12832: closed (Re: bug#12832: 24.3.50; Emacs lockup when idle)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 15 Nov 2012 20:24:02 +0000

Your bug report

#12832: 24.3.50; Emacs lockup when idle

which was filed against the emacs,w32 package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
12832: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=12832
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#12832: 24.3.50; Emacs lockup when idle
From: Eli Zaretskii <[email-masked]>
To: Andy Moreton <[email-masked]>
Cc: [email-masked], [email-masked], [email-masked]
Date: Thu, 15 Nov 2012 22:22:52 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> Date: Thu, 15 Nov 2012 19:26:54 +0000
> From: Andy Moreton <[email-masked]>
> CC: [email-masked], [email-masked], [email-masked]
> 
> On 14/11/2012 20:17, Andy Moreton wrote:
> > On 14/11/2012 16:51, Eli Zaretskii wrote:
> >> I found a few problems in the code and fixed them in revision 110867
> >> on the emacs-24 branch.  Please try the latest branch (without the
> >> patch) and see if the problem persists.
> >
> > I've been running an (unpatched) emacs-24 r110867 build for a few hours, and
> > so far it seems to be behaving well. I'll report back after a longer run to
> > see if the lockup can be still be reproduced.
> 
> I rebuilt emacs-24 at r110874 this morning, and have not seen any freezes or 
> lockups all day. I think this bug can now be closed.

Great news, thanks.  Closing.

Subject: 24.3.50; Emacs lockup when idle
From: Andy Moreton <[email-masked]>
To: [email-masked]
Date: Thu, 08 Nov 2012 12:57:18 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Windows Emacs (built from r110828) was idle for a few minutes while I made a
coffee. On returning, emacs was completely unresponsive and redisplay
was not drawing anything.

Windows XP SP3
MinGW gcc 4.7.2

Backtrace from "thread apply all bt full":

Thread 6 (Thread 8744.0x2080):
#0  0x7c90120f in ntdll!DbgUiConnectToDbg () from C:\WINDOWS\system32\ntdll.dll
No symbol table info available.
#1  0x7c952119 in ntdll!KiIntSystemCall () from C:\WINDOWS\system32\ntdll.dll
No symbol table info available.
#2  0x00000005 in ?? ()
No symbol table info available.
#3  0x00000004 in ?? ()
No symbol table info available.
#4  0x00000001 in ?? ()
No symbol table info available.
#5  0x5ad3ffd0 in ?? ()
No symbol table info available.
#6  0x00000000 in ?? ()
No symbol table info available.

Lisp Backtrace:
"redisplay_internal (C function)" (0x167235c)

Thread 5 (Thread 8744.0x5ec):
#0  0x7c90e514 in ntdll!LdrAccessResource () from C:\WINDOWS\system32\ntdll.dll
No symbol table info available.
#1  0x7c90d9da in ntdll!ZwReadFile () from C:\WINDOWS\system32\ntdll.dll
No symbol table info available.
#2  0x7c801879 in ReadFile () from C:\WINDOWS\system32\kernel32.dll
No symbol table info available.
#3  0x00000610 in ?? ()
No symbol table info available.
#4  0x00000000 in ?? ()
No symbol table info available.

Lisp Backtrace:
"redisplay_internal (C function)" (0x167235c)

Thread 4 (Thread 8744.0x241c):
#0  0x7c90e514 in ntdll!LdrAccessResource () from C:\WINDOWS\system32\ntdll.dll
No symbol table info available.
#1  0x7c90df5a in ntdll!ZwWaitForSingleObject () from 
C:\WINDOWS\system32\ntdll.dll
No symbol table info available.
#2  0x7c8025db in WaitForSingleObjectEx () from C:\WINDOWS\system32\kernel32.dll
No symbol table info available.
#3  0x000005d0 in ?? ()
No symbol table info available.
#4  0x00000000 in ?? ()
No symbol table info available.

Lisp Backtrace:
"redisplay_internal (C function)" (0x167235c)

Thread 3 (Thread 8744.0x21d4):
#0  0x7c90e514 in ntdll!LdrAccessResource () from C:\WINDOWS\system32\ntdll.dll
No symbol table info available.
#1  0x7e4191be in USER32!GetProcessWindowStation () from 
C:\WINDOWS\system32\user32.dll
No symbol table info available.
#2  0x7e4191f1 in USER32!GetMessageW () from C:\WINDOWS\system32\user32.dll
No symbol table info available.
#3  0x0114875d in w32_msg_pump (msg_buf=0x5b5aff54) at w32fns.c:2386
         msg = {
           hwnd = 0x3f9500bc,
           message = 0xf,
           wParam = 0x0,
           lParam = 0x0,
           time = 0x6cc97f02,
           pt = {
             x = 0xdd,
             y = 0x2f
           }
         }
         result = 0x0
         focus_window = 0x403
#4  0x0114899b in w32_msg_worker@4 (arg=0x0) at w32fns.c:2612
         msg = {
           hwnd = 0x86af0b20,
           message = 0x80502fc0,
           wParam = 0x0,
           lParam = 0x0,
           time = 0x0,
           pt = {
             x = 0x80502fc8,
             y = 0x8dedcca0
           }
         }
         dummy_buf = {
           next = 0x0,
           w32msg = {
             msg = {
               hwnd = 0x0,
               message = 0x0,
               wParam = 0x0,
               lParam = 0x0,
               time = 0x0,
               pt = {
                 x = 0x0,
                 y = 0x0
               }
             },
             dwModifiers = 0x0,
             rect = {
               left = 0x0,
               top = 0x0,
               right = 0x0,
               bottom = 0x0
             }
           },
           result = 0x0,
           completed = 0x0
         }
#5  0x7c80b729 in KERNEL32!GetModuleFileNameA () from 
C:\WINDOWS\system32\kernel32.dll
No symbol table info available.
#6  0x00000000 in ?? ()
No symbol table info available.

Lisp Backtrace:
"redisplay_internal (C function)" (0x167235c)

Thread 2 (Thread 8744.0x1840):
#0  0x7c90e514 in ntdll!LdrAccessResource () from C:\WINDOWS\system32\ntdll.dll
No symbol table info available.
#1  0x7c90d21a in ntdll!ZwDelayExecution () from C:\WINDOWS\system32\ntdll.dll
No symbol table info available.
#2  0x7c8023f1 in SleepEx () from C:\WINDOWS\system32\kernel32.dll
No symbol table info available.
#3  0x00000000 in ?? ()
No symbol table info available.

Lisp Backtrace:
"redisplay_internal (C function)" (0x167235c)

Thread 1 (Thread 8744.0xf50):
#0  0x7c90e514 in ntdll!LdrAccessResource () from C:\WINDOWS\system32\ntdll.dll
No symbol table info available.
#1  0x7c90d2aa in ntdll!ZwDuplicateObject () from C:\WINDOWS\system32\ntdll.dll
No symbol table info available.
#2  0x7c80df03 in KERNEL32!DuplicateHandle () from 
C:\WINDOWS\system32\kernel32.dll
No symbol table info available.
#3  0xffffffff in ?? ()
No symbol table info available.
#4  0xfffffffe in ?? ()
No symbol table info available.
#5  0xffffffff in ?? ()
No symbol table info available.
#6  0x0162acb8 in real_itimer ()
No symbol table info available.
#7  0x00000000 in ?? ()
No symbol table info available.

Lisp Backtrace:
"redisplay_internal (C function)" (0x167235c)